Eclipse de Android uygulaması geliştirmek için çalışmalarıma başladım. Android’in Eclipse de çalışması için gerekli bütün pluginleri indirdim ve yükledim. Yeni bir programlama dilini öğrenirken standart olarak çalıştırılan Hello World uygulaması geliştirmeye çalıştım ki aşağıdaki hatayı aldım.

[Emulator] invalid command-line parameter: and.
[Emulator] Hint: use ‘@foo’ to launch a virtual device named ‘foo’.
[Emulator] please use -help for more information

Yaptığım bir kaç araştırmayla sorunun çözümünü buldum.
Eclipse de Project-> Preferences da Android kısmına geldiğinizde SDK Location bilginizi kontrol etmeniz gerekmektedir. SDK nızı gösterdiğiniz yerin adresinde boşluklar varsa bu bir problem olarak karşımıza çıkıyor. Bunun için size tavsiyem Android SDK dosyasınızı C sürücünüzde Android klasörü açıp içinde barındırmanızdır.

Daha sonra Eclipse de Project-> Preferences da Android kısmına gelip SDK Location bilgilerini güncellemeniz gerekecektir.

Tabi Project-> Android SDK and AVD Manager kısmındaki Android Virtual Device ları da tekrardan oluşturmanız gerekebilir :)